WordPress 4.3
[autoinstalls/wordpress.git] / wp-admin / admin-footer.php
index 08d9debc9b4c34b4b2369a323178f8bfeefb600a..a99eabac13310feff57ec5b064e4da0bcd578461 100644 (file)
@@ -15,7 +15,7 @@ if ( !defined('ABSPATH') )
 <div class="clear"></div></div><!-- wpbody -->
 <div class="clear"></div></div><!-- wpcontent -->
 
-<div id="wpfooter">
+<div id="wpfooter" role="contentinfo">
        <?php
        /**
         * Fires after the opening tag for the admin footer.
@@ -26,13 +26,15 @@ if ( !defined('ABSPATH') )
        ?>
        <p id="footer-left" class="alignleft">
                <?php
+               $text = sprintf( __( 'Thank you for creating with <a href="%s">WordPress</a>.' ), __( 'https://wordpress.org/' ) );
                /**
                 * Filter the "Thank you" text displayed in the admin footer.
                 *
                 * @since 2.8.0
-                * @param string The content that will be printed.
+                *
+                * @param string $text The content that will be printed.
                 */
-               echo apply_filters( 'admin_footer_text', '<span id="footer-thankyou">' . __( 'Thank you for creating with <a href="http://wordpress.org/">WordPress</a>.' ) . '</span>' );
+               echo apply_filters( 'admin_footer_text', '<span id="footer-thankyou">' . $text . '</span>' );
                ?>
        </p>
        <p id="footer-upgrade" class="alignright">
@@ -40,11 +42,14 @@ if ( !defined('ABSPATH') )
                /**
                 * Filter the version/update text displayed in the admin footer.
                 *
-                * @see core_update_footer() WordPress prints the current version and update information,
-                *      using core_update_footer() at priority 10.
+                * WordPress prints the current version and update information,
+                * using core_update_footer() at priority 10.
                 *
                 * @since 2.3.0
-                * @param string The content that will be printed.
+                *
+                * @see core_update_footer()
+                *
+                * @param string $content The content that will be printed.
                 */
                echo apply_filters( 'update_footer', '' );
                ?>
@@ -56,25 +61,30 @@ if ( !defined('ABSPATH') )
  * Print scripts or data before the default footer scripts.
  *
  * @since 1.2.0
- * @param string The data to print.
+ *
+ * @param string $data The data to print.
  */
-do_action('admin_footer', '');
+do_action( 'admin_footer', '' );
 
 /**
  * Prints any scripts and data queued for the footer.
  *
  * @since 2.8.0
  */
-do_action('admin_print_footer_scripts');
+do_action( 'admin_print_footer_scripts' );
 
 /**
  * Print scripts or data after the default footer scripts.
  *
+ * The dynamic portion of the hook name, `$GLOBALS['hook_suffix']`,
+ * refers to the global hook suffix of the current page.
+ *
  * @since 2.8.0
  *
- * @param string $GLOBALS['hook_suffix'] The current admin page.
+ * @global string $hook_suffix
+ * @param string $hook_suffix The current admin page.
  */
-do_action("admin_footer-" . $GLOBALS['hook_suffix']);
+do_action( "admin_footer-" . $GLOBALS['hook_suffix'] );
 
 // get_site_option() won't exist when auto upgrading from <= 2.7
 if ( function_exists('get_site_option') ) {